
//
//  P4MenuLocalFile.h
//  SCMMenuExtra
//
//  Created by Michael Bishop on 5/9/11.
//  Copyright 2011 Numerical Garden LLC. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef void (^P4MenuLocalFileRefreshCompletionBlock)(NSError*);

@class P4LocalFileManager;

@interface P4MenuLocalFile : NSObject {
@private
    NSString     * localFilepath;
    BOOL           canOpenForAdd;
}

-(id)initWithLocalFilepath:(NSString*)path;
+(id)localFileWithLocalFilepath:(NSString*)path;

@property (nonatomic, readonly)         NSString     * filename;
@property (nonatomic, readonly)         NSImage      * icon;
@property (nonatomic, readonly, copy)   NSString     * localFilepath;
@property (nonatomic, readonly, assign) BOOL           canOpenForAdd;
@end
